#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 13. Programming

- Prev

  Cbindgen-0.29.2

- Next

  CMake-4.3.2

- Up
- Home

# Clisp-2.49.95

## Introduction to Clisp

GNU Clisp is a Common Lisp implementation which includes an interpreter, compiler, debugger, and many extensions.

### Note

This package has not had a 'stable' release since 2010. The package here was created from the upstream git repository in order to enable it to be built with gcc-15. The most recent commit was May 2025.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://anduin.linuxfromscratch.org/BLFS/clisp/clisp-2.49.95.tar.xz

- Download MD5 sum: e3b3ba6b3432280e4d4a766404f02d6f

- Download size: 7.1 MB

- Estimated disk space required: 146 MB (with tests; 34 MB installed)

- Estimated build time: 0.6 SBU (Using parallelism=4; add 0.3 SBU for tests)

### Clisp Dependencies

#### Recommended

libsigsegv-2.15

#### Optional

libnsl-2.0.1 and libffcall

## Installation of Clisp

Install Clisp by running the following commands:

    mkdir build &&
    cd    build &&

    ../configure --srcdir=../  \
                 --prefix=/usr \
                 --docdir=/usr/share/doc/clisp-2.49.95 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--docdir=/usr/share/doc/clisp-2.49.95`: this switch forces the HTML documentation to be installed into a versioned directory.

`--with-libffcall-prefix=/usr`: use this to tell configure that you have installed the optional libffcall package.

## Contents

Installed Programs: clisp and clisp-link
Installed Libraries: various static libraries in `/usr/lib/clisp-2.49.95+/base/`
Installed Directories: /usr/lib/clisp-2.49.95+, /usr/share/doc/clisp-2.49.95, and /usr/share/emacs/site-lisp

### Short Descriptions

clisp | is an ANSI Common Lisp compiler, interpreter, and debugger
clisp-link | is used to link an external module to clisp

- Prev

  Cbindgen-0.29.2

- Next

  CMake-4.3.2

- Up
- Home